create or replace FUNCTION IM_Reports (getid int, gettaskname VARCHAR2, getenvoid VARCHAR2)

RETURN int is
tempid1 int;
tempid2 int;

BEGIN
SELECT max(imr_reportid) into tempid2
FROM 
 imreport6
WHERE imr_reportname IN
  (SELECT imr_snapshotname
  FROM imrptsnapshots12
  WHERE imr_rpt_task_tag_name = gettaskname
  AND imr_envoid = getenvoid
  );

if getid = -1
then tempid1 := tempid2;

else
tempid1 := getid;

end if;
return tempid1;
END;
/

alter table imruser6 add (
imr_creationmode integer,
imr_createdby varchar2(255),
imr_creationdate timestamp,
imr_modificationdate timestamp,
imr_lastlogindate timestamp
);

--
-- Insert into user table
--
CREATE OR REPLACE PROCEDURE insertintousertable  (
    reportid INTEGER ,
    userdn    VARCHAR2,
    isenabled INTEGER ,
    userid    VARCHAR2,
    fullname  VARCHAR2,
    lastname  VARCHAR2 ,
    firstname VARCHAR2,
    parentorgdn VARCHAR2 ,
    email       VARCHAR2,
	creationmode INTEGER,
	createdby VARCHAR2,
	creationdate DATE,
	modificationdate DATE,
	lastlogindate DATE )
IS
    rowcount   INTEGER;
BEGIN
  BEGIN
      rowcount :=0;
        Select count(*) into rowcount from imruser6
            WHERE
                imruser6.imr_reportid= reportid
                AND imruser6.imr_userdn = userdn;

      EXCEPTION
        WHEN NO_DATA_FOUND THEN
        rowcount :=0;
  END;
  IF rowcount = 0  THEN
     insert into imruser6 (
          imr_reportid ,
          imr_userdn   ,
          imr_isenabled,
          imr_userid   ,
          imr_fullname ,
          imr_lastname ,
          imr_firstname,
          imr_parentorgdn ,
          imr_email,
		  imr_creationmode,
		  imr_createdby,
		  imr_creationdate,
		  imr_modificationdate,
		  imr_lastlogindate)
                values (
           reportid ,
           userdn   ,
           isenabled,
           userid   ,
           fullname ,
           lastname ,
           firstname,
           parentorgdn ,
           email,
		   creationmode,
		   createdby,
		   creationdate,
		   modificationdate,
		   lastlogindate);
  END IF;
  END;
/

UPDATE imreport_version SET imr_value='12.6.1.0.0';