alter table imruser6 add (
imr_usertype varchar2(255)
);

--
-- Insert into user table
--
CREATE OR REPLACE PROCEDURE insertintousertable  (
    reportid INTEGER ,
    userdn    VARCHAR2,
    isenabled INTEGER ,
    userid    VARCHAR2,
    fullname  VARCHAR2,
    lastname  VARCHAR2 ,
    firstname VARCHAR2,
    parentorgdn VARCHAR2 ,
    email       VARCHAR2,
	creationmode INTEGER,
	createdby VARCHAR2,
	creationdate DATE,
	modificationdate DATE,
	lastlogindate DATE,
	usertype VARCHAR2)
IS
    rowcount   INTEGER;
BEGIN
  BEGIN
      rowcount :=0;
        Select count(*) into rowcount from imruser6
            WHERE
                imruser6.imr_reportid= reportid
                AND imruser6.imr_userdn = userdn;

      EXCEPTION
        WHEN NO_DATA_FOUND THEN
        rowcount :=0;
  END;
  IF rowcount = 0  THEN
     insert into imruser6 (
          imr_reportid ,
          imr_userdn   ,
          imr_isenabled,
          imr_userid   ,
          imr_fullname ,
          imr_lastname ,
          imr_firstname,
          imr_parentorgdn ,
          imr_email,
		  imr_creationmode,
		  imr_createdby,
		  imr_creationdate,
		  imr_modificationdate,
		  imr_lastlogindate,
		  imr_usertype)
                values (
           reportid ,
           userdn   ,
           isenabled,
           userid   ,
           fullname ,
           lastname ,
           firstname,
           parentorgdn ,
           email,
		   creationmode,
		   createdby,
		   creationdate,
		   modificationdate,
		   lastlogindate,
		   usertype);
  END IF;
  END;
/

UPDATE imreport_version SET imr_value='12.6.2.0.0';