-- Copyright (C) 2002 - 2004, Netegrity, Inc. All rights reserved.
--
-- This file contains the sql script to remove all of the
-- IMS Tables for reporting
--

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imreport_version'
	  AND 	 type = 'U')
    DROP TABLE imreport_version
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imreport6'
	  AND 	 type = 'U')
    DROP TABLE imreport6
go


IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrrole6'
	  AND 	 type = 'U')
	  DROP TABLE imrrole6
go
IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrroletask6'
	  AND 	 type = 'U')
    DROP TABLE imrroletask6
go
IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrtask6'
	  AND 	 type = 'U')
    DROP TABLE imrtask6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrrolerule6'
	  AND 	 type = 'U')
	  DROP TABLE imrrolerule6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrrolescoperule6'
	  AND 	 type = 'U')
	  DROP TABLE imrrolescoperule6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrrolemember6'
	  AND 	 type = 'U')
	  DROP TABLE imrrolemember6
go


IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrroleadmin6'
	  AND 	 type = 'U')
	  DROP TABLE imrroleadmin6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrroleowner6'
	  AND 	 type = 'U')
	  DROP TABLE imrroleowner6
go


IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrorg6'
	  AND 	 type = 'U')
	  DROP TABLE imrorg6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrorgattr6'
	  AND 	 type = 'U')
	  DROP TABLE imrorgattr6
go


IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrgroup6'
	  AND 	 type = 'U')
	  DROP TABLE imrgroup6
go


IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrgroupattr6'
	  AND 	 type = 'U')
	  DROP TABLE imrgroupattr6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrgroupmember6'
	  AND 	 type = 'U')
	  DROP TABLE imrgroupmember6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imrgroupadmin6'
	  AND 	 type = 'U')
	  DROP TABLE imrgroupadmin6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imruser6'
	  AND 	 type = 'U')
	  DROP TABLE imruser6
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'imruserattr6'
	  AND 	 type = 'U')
	  DROP TABLE imruserattr6
go


IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imrptsnapshots12'
      AND    type = 'U')
    DROP TABLE imrptsnapshots12
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrptsnapshots12_index_1')
   DROP INDEX imrptsnapshots12.imrptsnapshots12_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrobject_index_1')
   DROP INDEX imrobject.imrobject_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrobject_index_2')
   DROP INDEX imrobject.imrobject_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrobject_index_3')
   DROP INDEX imrobject.imrobject_index_3
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrobjectcategory_index_1')
   DROP INDEX imrobjectcategory.imrobjectcategory_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrobjectinfo_index_1')
   DROP INDEX imrobjectinfo.imrobjectinfo_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrprovroletemplrel_index_1')
   DROP INDEX imrprovroletemplrelationship.imrprovroletemplrel_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruseraccountrel_index_1')
   DROP INDEX imruseraccountrelationship.imruseraccountrel_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruseraccountrel_index_2')
   DROP INDEX imruseraccountrelationship.imruseraccountrel_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruseraccountrel_index_3')
   DROP INDEX imruseraccountrelationship.imruseraccountrel_index_3
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrcapabilityattrrel_index_1')
   DROP INDEX imrcapabilityattrrel.imrcapabilityattrrel_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrroleattr12_index_1')
   DROP INDEX imrroleattr12.imrroleattr12_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrattribute_index_1')
   DROP INDEX imrAttribute.imrattribute_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrattribute_index_2')
   DROP INDEX imrAttribute.imrattribute_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrattribute_index_2')
   DROP INDEX imrAttribute.imrattribute_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrattributeinfo_index_1')
   DROP INDEX imrAttributeinfo.imrattributeinfo_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrtemplendpointrel_index_1')
   DROP INDEX imrtemplendpointrelationship.imrtemplendpointrel_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrprovrolesrel_index_1')
   DROP INDEX imrprovrolesrelationship.imrprovrolesrel_index_1
GO

-- add identitypolicy related support

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imridentitypolicy6'
      AND    type = 'U')
    DROP TABLE imridentitypolicy6
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imridentitypolicyset6'
      AND    type = 'U')
    DROP TABLE imridentitypolicyset6
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imridentitypolicyactions6'
      AND    type = 'U')
    DROP TABLE imridentitypolicyactions6
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imridentitypolicyusersync6'
      AND    type = 'U')
    DROP TABLE imridentitypolicyusersync6
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicy6_index_1')
   DROP INDEX imridentitypolicy6.imridentitypolicy6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicy6_index_2')
   DROP INDEX imridentitypolicy6.imridentitypolicy6_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicy6_index_3')
   DROP INDEX imridentitypolicy6.imridentitypolicy6_index_3
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicyset6_index_1')
   DROP INDEX imridentitypolicyset6.imridentitypolicyset6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicyactions6_index_1')
   DROP INDEX imridentitypolicyactions6.imridentitypolicyactions6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicyusersync6_index_1')
   DROP INDEX imridentitypolicyusersync6_index_1.imridentitypolicyusersync6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imridentitypolicyusersync6_index_2')
   DROP INDEX imridentitypolicyusersync6_index_1.imridentitypolicyusersync6_index_2
GO


-- end of identitypolicy support

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imreport6_index_1')
   DROP INDEX imreport6.imreport6_index_1
GO


IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imreport6_index_2')
   DROP INDEX imreport6.imreport6_index_2
GO


IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imreport6_index_3')
   DROP INDEX imreport6.imreport6_index_3
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrrole6_index_1')
   DROP INDEX imrrole6.imrrole6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrrolerule6_index_1')
   DROP INDEX imrrolerule6.imrrolerule6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrrolerule6_index_2')
   DROP INDEX imrrolerule6.imrrolerule6_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrrolescoperule6_index_1')
   DROP INDEX imrrolescoperule6.imrrolescoperule6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrroletask6_index_1')
   DROP INDEX imrroletask6.imrroletask6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrtask6_index_1')
   DROP INDEX imrtask6.imrtask6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrrolemember6_index_1')
   DROP INDEX imrrolemember6.imrrolemember6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrrolemember6_index_2')
   DROP INDEX imrrolemember6.imrrolemember6_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrroleadmin6_index_1')
   DROP INDEX imrroleadmin6.imrroleadmin6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrroleadmin6_index_2')
   DROP INDEX imrroleadmin6.imrroleadmin6_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrroleowner6_index_1')
   DROP INDEX imrroleowner6.imrroleowner6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrroleowner6_index_2')
   DROP INDEX imrroleowner6.imrroleowner6_index_2
GO


IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrorg6_index_1')
   DROP INDEX imrorg6.imrorg6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrorgattr6_index_1')
   DROP INDEX imrorgattr6.imrorgattr6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruser6_index_1')
   DROP INDEX imruser6.imruser6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrgroup6_index_1')
   DROP INDEX imrgroup6.imrgroup6_index_1
GO


IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrgroupattr6_index_1')
   DROP INDEX imrgroupattr6.imrgroupattr6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrgroupattr6_index_2')
   DROP INDEX imrgroupattr6.imrgroupattr6_index_2
GO



IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrgroupmember6_index_1')
   DROP INDEX imrgroupmember6.imrgroupmember6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrgroupadmin6_index_1')
   DROP INDEX imrgroupadmin6.imrgroupadmin6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruser6_index_1')
   DROP INDEX imruser6.imruser6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruser6_index_2')
   DROP INDEX imruser6.imruser6_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruserattr6_index_1')
   DROP INDEX imruserattr6.imruserattr6_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imruserattr6_index_2')
   DROP INDEX imruserattr6.imruserattr6_index_2
GO


IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertintoimreport' AND type = 'P')
    DROP PROCEDURE insertintoimreport
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertusermembertable' AND type = 'P')
    DROP PROCEDURE insertusermembertable
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertintoorgtable' AND type = 'P')
    DROP PROCEDURE insertintoorgtable
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertintogrouptable' AND type = 'P')
    DROP PROCEDURE insertintogrouptable
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertintousertable' AND type = 'P')
    DROP PROCEDURE insertintousertable
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertintoimruseraccounts' AND type = 'P')
    DROP PROCEDURE insertintoimruseraccounts
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'IMRCleanupProc6' AND type = 'P')
    DROP PROCEDURE IMRCleanupProc6
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'IMRRemoveSnapshot' AND type = 'P')
    DROP PROCEDURE IMRRemoveSnapshot
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'IMRCleanOldSnapshotsProc' AND type = 'P')
    DROP PROCEDURE IMRCleanOldSnapshotsProc
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'GetReportIDProc6' AND type = 'P')
    DROP PROCEDURE GetReportIDProc6
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'imrTemplEndpointRelationship' AND type = 'U')
    DROP TABLE imrTemplEndpointRelationship
GO


IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertintoimrroleattr12' AND type = 'P')
    DROP PROCEDURE insertintoimrroleattr12
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertProvRolesRel' AND type = 'P')
    DROP PROCEDURE insertProvRolesRel
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'insertCapabilityAttrRel' AND type = 'P')
    DROP PROCEDURE insertCapabilityAttrRel
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'imrAccountTemplateRel' AND type = 'U')
    DROP TABLE imrAccountTemplateRel
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'imrCapabilityAttrRel' AND type = 'U')
    DROP TABLE imrCapabilityAttrRel
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTACCOUNTTEMPLATEREL' AND type = 'P')
    DROP PROCEDURE INSERTACCOUNTTEMPLATEREL
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTTEMPLENDPOINTREL' AND type = 'P')
    DROP PROCEDURE INSERTTEMPLENDPOINTREL
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'imrroleinfo6' AND type = 'V')
    DROP VIEW imrroleinfo6
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'totalExceptionAccounts' AND type = 'V')
    DROP VIEW totalExceptionAccounts
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'provroleaccttmplendptrelview' AND type = 'V')
    DROP VIEW provroleaccttmplendptrelview
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'exceptionaccountsview' AND type = 'V')
    DROP VIEW exceptionaccountsview
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'endpointexceptionuseraccounts6' AND type = 'V')
    DROP VIEW endpointexceptionuseraccounts6
GO

-- ***** IM r12.1 Provisioning tables
IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRATTRIBUTE'
      AND    type = 'U')
    DROP TABLE IMRATTRIBUTE
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRATTRIBUTEINFO'
      AND    type = 'U')
    DROP TABLE IMRATTRIBUTEINFO
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMROBJECT'
      AND    type = 'U')
    DROP TABLE IMROBJECT
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMROBJECTCATEGORY'
      AND    type = 'U')
    DROP TABLE IMROBJECTCATEGORY
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMROBJECTINFO'
      AND    type = 'U')
    DROP TABLE IMROBJECTINFO
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRPROVROLESRELATIONSHIP'
      AND    type = 'U')
    DROP TABLE IMRPROVROLESRELATIONSHIP
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRPROVROLETEMPLRELATIONSHIP'
      AND    type = 'U')
    DROP TABLE IMRPROVROLETEMPLRELATIONSHIP
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRUSERACCOUNTRELATIONSHIP'
      AND    type = 'U')
    DROP TABLE IMRUSERACCOUNTRELATIONSHIP
go

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTIMRATTR' AND type = 'P')
    DROP PROCEDURE INSERTIMRATTR
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTIMRATTRINFO' AND type = 'P')
    DROP PROCEDURE INSERTIMRATTRINFO
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTIMROBJECT' AND type = 'P')
    DROP PROCEDURE INSERTIMROBJECT
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTIMROBJECTCATEGORY' AND type = 'P')
    DROP PROCEDURE INSERTIMROBJECTCATEGORY
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTIMROBJECTINFO' AND type = 'P')
    DROP PROCEDURE INSERTIMROBJECTINFO
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'INSERTIMRROLETEMPLATE' AND type = 'P')
    DROP PROCEDURE INSERTIMRROLETEMPLATE
GO
IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'imruseraccounts6' AND type = 'V')
    DROP VIEW imruseraccounts6
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'imraccountattrs6' AND type = 'V')
    DROP VIEW imraccountattrs6
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'endpointattributes' AND type = 'V')
    DROP VIEW endpointattributes
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'AcctTmplAttribute' AND type = 'V')
    DROP VIEW AcctTmplAttribute
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'endpointaccount' AND type = 'V')
    DROP VIEW endpointaccount
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'endpointview' AND type = 'V')
    DROP VIEW endpointview
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'provrolesrelationshipview' AND type = 'V')
    DROP VIEW provrolesrelationshipview
GO

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRTEMPLENDPOINTRELATIONSHIP'
      AND    type = 'U')
    DROP TABLE IMRTEMPLENDPOINTRELATIONSHIP
go

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRACCOUNTTEMPLATEREL'
      AND    type = 'U')
    DROP TABLE IMRACCOUNT
go

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'accttemplEndpointRelView' AND type = 'V')
    DROP VIEW accttemplEndpointRelView
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'capabilityattrsview' AND type = 'V')
    DROP VIEW capabilityattrsview
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'endpointaccountattrs6' AND type = 'V')
    DROP VIEW endpointaccountattrs6
GO

IF EXISTS (SELECT name FROM sysobjects
    WHERE name = 'endpointuseraccounts6' AND type = 'V')
    DROP VIEW endpointuseraccounts6
GO

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'IMRROLEATTR12'
      AND    type = 'U')
    DROP TABLE IMRROLEATTR12
go


-- New 12.5 SP1 related support

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imrpolicyxpress125'
      AND    type = 'U')
    DROP TABLE imrpolicyxpress125
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrpolicyxpress125_index_1')
   DROP INDEX imrpolicyxpress125.imrpolicyxpress125_index_1
GO

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imrreversesyncnewaccount125'
      AND    type = 'U')
    DROP TABLE imrreversesyncnewaccount125
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrreversesyncnewaccount125_index_1')
   DROP INDEX imrreversesyncnewaccount125.imrreversesyncnewaccount125_index_1
GO

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imrreversesyncmodifyaccount125'
      AND    type = 'U')
    DROP TABLE imrreversesyncmodifyaccount125
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrreversesyncmodifyaccount125_index_1')
   DROP INDEX imrreversesyncmodifyaccount125.imrreversesyncmodifyaccount125_index_1
GO

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imremailmanagement125'
      AND    type = 'U')
    DROP TABLE imremailmanagement125
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imremailmanagement125_index_1')
   DROP INDEX imremailmanagement125.imremailmanagement125_index_1
GO

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imrbulktasks125'
      AND    type = 'U')
    DROP TABLE imrbulktasks125
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrbulktasks125_index_1')
   DROP INDEX imrbulktasks125.imrbulktasks125_index_1
GO

-- End of 12.5 SP1 support

IF EXISTS(SELECT name
      FROM   sysobjects
      WHERE  name = 'imrNonStandardAccts'
      AND    type = 'U')
    DROP TABLE imrNonStandardAccts
GO


IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imrNonStandardAccts_index_1')
   DROP INDEX imrNonStandardAccts.imrNonStandardAccts_index_1
GO

