CREATE FUNCTION [IM_Reports] (@getid int, @gettaskname varchar, @getenvoid varchar)

RETURNS int
AS
BEGIN

declare @tempid1 int;
      
if @getid = -1
set @tempid1 = 
(SELECT max(imr_reportid)
FROM 
 imreport6
WHERE imr_reportname IN
  (SELECT imr_snapshotname
  FROM imrptsnapshots12
  WHERE imr_rpt_task_tag_name = @gettaskname
  AND imr_envoid = @getenvoid
  )

)
else
set @tempid1 = @getid

return @tempid1
END
GO

ALTER TABLE imruser6 ADD 
imr_creationmode integer,
imr_createdby nvarchar(255),
imr_creationdate datetime,
imr_modificationdate datetime,
imr_lastlogindate datetime
GO

CREATE PROCEDURE insertintousertable
    @imr_reportid integer ,
    @imr_userdn    nvarchar(628),
    @imr_isenabled INTEGER ,
    @imr_userid    nvarchar(255) ,
    @imr_fullname  nvarchar(255) ,
    @imr_lastname  nvarchar(255) ,
    @imr_firstname nvarchar(255) ,
    @imr_parentorgdn nvarchar(628) ,
    @imr_email       nvarchar(255),
	@creationmode INTEGER,
	@createdby nvarchar(255),
	@creationdate DATETIME,
	@modificationdate DATETIME,
	@lastlogindate DATETIME	
AS
BEGIN
    IF NOT EXISTS (Select imr_userdn from imruser6
        WHERE
            imr_reportid= @imr_reportid
            AND imr_userdn = @imr_userdn)
     insert into imruser6 (
          imr_reportid ,
          imr_userdn   ,
          imr_isenabled,
          imr_userid   ,
          imr_fullname ,
          imr_lastname ,
          imr_firstname,
          imr_parentorgdn ,
          imr_email,
		  imr_creationmode,
		  imr_createdby,
		  imr_creationdate,
		  imr_modificationdate,
		  imr_lastlogindate)
                values (
           @imr_reportid ,
           @imr_userdn   ,
           @imr_isenabled,
           @imr_userid   ,
           @imr_fullname ,
           @imr_lastname ,
           @imr_firstname,
           @imr_parentorgdn ,
           @imr_email,
		   @creationmode,
		   @createdby,
		   @creationdate,
		   @modificationdate,
		   @lastlogindate);
END
go

delete from imreport_version
go
insert into imreport_version(imr_key,imr_value) values ('version','12.6.1.0.0')
go
