ALTER TABLE imruser6 ADD 
imr_usertype nvarchar(255)
GO

drop procedure insertintousertable
GO

CREATE PROCEDURE insertintousertable
    @imr_reportid integer ,
    @imr_userdn    nvarchar(628),
    @imr_isenabled INTEGER ,
    @imr_userid    nvarchar(255) ,
    @imr_fullname  nvarchar(255) ,
    @imr_lastname  nvarchar(255) ,
    @imr_firstname nvarchar(255) ,
    @imr_parentorgdn nvarchar(628) ,
    @imr_email       nvarchar(255),
	@creationmode INTEGER,
	@createdby nvarchar(255),
	@creationdate DATETIME,
	@modificationdate DATETIME,
	@lastlogindate DATETIME,
	@usertype nvarchar(255)
AS
BEGIN
    IF NOT EXISTS (Select imr_userdn from imruser6
        WHERE
            imr_reportid= @imr_reportid
            AND imr_userdn = @imr_userdn)
     insert into imruser6 (
          imr_reportid ,
          imr_userdn   ,
          imr_isenabled,
          imr_userid   ,
          imr_fullname ,
          imr_lastname ,
          imr_firstname,
          imr_parentorgdn ,
          imr_email,
		  imr_creationmode,
		  imr_createdby,
		  imr_creationdate,
		  imr_modificationdate,
		  imr_lastlogindate,
		  imr_usertype)
                values (
           @imr_reportid ,
           @imr_userdn   ,
           @imr_isenabled,
           @imr_userid   ,
           @imr_fullname ,
           @imr_lastname ,
           @imr_firstname,
           @imr_parentorgdn ,
           @imr_email,
		   @creationmode,
		   @createdby,
		   @creationdate,
		   @modificationdate,
		   @lastlogindate,
		   @usertype);
END
go

UPDATE imreport_version SET imr_value='12.6.2.0.0';