-- COPYRIGHT (C) 2009, CA, INC. ALL RIGHTS RESERVED.

-- There is no data migration from pre r12.5 to r12.5 Auditing schema.
-- All the tables and other schema objects are new to r12.5
-- To get the r12.5 schema, use the new schema creation file  : ims_derby_audit.sql

-- 
-- Insert procedure for imsAuditTaskSession12
-- Returns the inserted eventid
CREATE PROCEDURE insertImsAuditTasksession125(
	              IN parent_ts_oid VARCHAR(255) ,
		      IN parent_event_oid VARCHAR(255) ,
		      IN tasksession_oid VARCHAR(255) ,      
		      IN ims_admin_dn VARCHAR(628) ,
		      IN ims_adminname VARCHAR(255) ,
		      IN ims_taskname  VARCHAR(255) ,
		      IN ims_task_tag   VARCHAR(255) ,
		      IN ims_task_description    VARCHAR(628) ,
		      IN ims_task_priority   INT,
		      IN ims_state   VARCHAR(255) ,
		      IN ims_envname  VARCHAR(255) ,
		      IN ims_env_oid  VARCHAR(255) ,
		      IN audit_time TIMESTAMP	,
		      OUT current_eventid INTEGER )
                  PARAMETER STYLE JAVA
                  MODIFIES SQL DATA
                  LANGUAGE JAVA
                  EXTERNAL NAME 'com.ca.ims.db.derby.AuditDBProcedures.insertintoimsAuditTaskSession125';
          
-- 
-- Insert procedure for ImsAuditEvent12
-- Returns the inserted eventid
CREATE PROCEDURE insertImsAuditEvent125(	
	IN parent_ts_oid VARCHAR(100)	,
	IN parent_event_oid VARCHAR(100)	,
	IN event_oid VARCHAR(100)	,
	IN admin_dn VARCHAR(512)	,
	IN admin_name	VARCHAR(255),
	IN event_name	VARCHAR(255),
	IN event_description VARCHAR(4000),
	IN event_state VARCHAR(100)	,
	IN envname VARCHAR(100)	,
	IN env_oid VARCHAR(100)	 ,
	IN tasksession_id INT,
	IN audit_time TIMESTAMP	,
	OUT current_eventid INTEGER)
                  PARAMETER STYLE JAVA
                  MODIFIES SQL DATA
                  LANGUAGE JAVA
                  EXTERNAL NAME 'com.ca.ims.db.derby.AuditDBProcedures.insertImsAuditEvent125';

-- 
-- Insert procedure for ImsAuditeventObject12
-- Returns the inserted id
CREATE PROCEDURE insertImsAuditeventObject125(
	IN parent_event_id INT,
	IN object_type VARCHAR(100),
	IN object_name VARCHAR(255),
	IN audit_time TIMESTAMP	,
	OUT current_id INTEGER)
                  PARAMETER STYLE JAVA
                  MODIFIES SQL DATA
                  LANGUAGE JAVA
                  EXTERNAL NAME 'com.ca.ims.db.derby.AuditDBProcedures.insertImsAuditeventObject125';

DROP PROCEDURE insertImsAuditTasksession12;
DROP PROCEDURE insertImsAuditeventObject12;
DROP PROCEDURE insertImsAuditEvent12;

UPDATE IMSAUDIT_VERSION SET IMR_VALUE = '13.0.0.0.0' WHERE IMR_KEY = 'version';

