-- Copyright (C) 2009, CA, Inc. All rights reserved.
--
-- This file contains the sql script to remove all of the 
-- IAM Framework Tables for auditing (Version r12.5+)
--
--

IF EXISTS(SELECT name 
	  FROM 	 sysobjects 
	  WHERE  name = 'imsAudit_version' 
	  AND 	 type = 'U')
    DROP TABLE imsAudit_version
go

IF EXISTS(SELECT name 
	  FROM 	 sysobjects 
	  WHERE  name = 'imsAuditTaskSession12' 
	  AND 	 type = 'U')
    DROP TABLE imsAuditTaskSession12
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditTaskSession12_index_1')
   DROP INDEX imsAuditTaskSession12.imsAuditTaskSession12_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditTaskSession12_index_2')
   DROP INDEX imsAuditTaskSession12.imsAuditTaskSession12_index_2
GO

IF EXISTS(SELECT name 
	  FROM 	 sysobjects 
	  WHERE  name = 'imsAuditEvent12' 
	  AND 	 type = 'U')
    DROP TABLE imsAuditEvent12
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditEvent12_index_1')
   DROP INDEX imsAuditEvent12.imsAuditEvent12_index_1
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditEvent12_index_2')
   DROP INDEX imsAuditEvent12.imsAuditEvent12_index_2
GO

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditEvent12_index_3')
   DROP INDEX imsAuditEvent12.imsAuditEvent12_index_3
GO

IF EXISTS(SELECT name 
	  FROM 	 sysobjects 
	  WHERE  name = 'imsAuditEventObject12' 
	  AND 	 type = 'U')
    DROP TABLE imsAuditEventObject12
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditEventObject12_index_1')
   DROP INDEX imsAuditEventObject12.imsAuditEventObject12_index_1
GO

IF EXISTS(SELECT name 
	  FROM 	 sysobjects 
	  WHERE  name = 'imsAuditObjectAttributes12' 
	  AND 	 type = 'U')
    DROP TABLE imsAuditObjectAttributes12
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditObjectAttributes12_index_1')
   DROP INDEX imsAuditObjectAttributes12.imsAuditObjectAttributes12_index_1
GO

IF EXISTS(SELECT name 
	  FROM 	 sysobjects 
	  WHERE  name = 'imsAuditObjectRelationship12' 
	  AND 	 type = 'U')
    DROP TABLE imsAuditObjectRelationship12
go

IF EXISTS (SELECT name FROM sysindexes
         WHERE name = 'imsAuditObjectRelationship12_index_1')
   DROP INDEX imsAuditObjectRelationship12.imsAuditObjectRelationship12_index_1
GO

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'insertImsAuditTasksession125'
	  AND 	 type = 'P')
	  DROP PROCEDURE insertImsAuditTasksession125
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'insertImsAuditEventObject125'
	  AND 	 type = 'P')
	  DROP PROCEDURE insertImsAuditEventObject125
go


IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'insertImsAuditEvent125'
	  AND 	 type = 'P')
	  DROP PROCEDURE insertImsAuditEvent125
go

IF EXISTS(SELECT name
	  FROM 	 sysobjects
	  WHERE  name = 'garbageCollectAuditing12'
	  AND 	 type = 'P')
	  DROP PROCEDURE garbageCollectAuditing12
go

