ALTER TABLE runtimeStatusDetail12 ADD COLUMN originationTimeBackup VARCHAR (50);
UPDATE runtimeStatusDetail12 SET originationTimeBackup = (CAST(originationTime AS VARCHAR(50)));
ALTER TABLE runtimeStatusDetail12 DROP COLUMN originationTime;
ALTER TABLE runtimeStatusDetail12 ADD COLUMN originationTime TIMESTAMP ;
UPDATE runtimeStatusDetail12 SET originationTime = TIMESTAMP(originationTimeBackup);
ALTER TABLE runtimeStatusDetail12 DROP COLUMN originationTimeBackup;
ALTER TABLE runtimeStatusDetail12 ALTER COLUMN originationTime NOT NULL;

DROP PROCEDURE insertRuntimeStatusDetail;

CREATE PROCEDURE insertRuntimeStatusDetail (
                  IN originationTime TIMESTAMP,
                  IN eventID VARCHAR (255),
                  IN parentID VARCHAR (255),
                  IN sourceIdentifier VARCHAR (255),
                  IN serverName VARCHAR (255),
                  IN provDomainName VARCHAR (255),
                  IN displayName VARCHAR (255),
                  IN description VARCHAR (255),
                  IN descriptionType VARCHAR (255),
                  IN descriptionParam VARCHAR (255),
                  IN admindn VARCHAR (255),
                  IN adminName VARCHAR (255),
                  IN importance INTEGER,
                  OUT current_id INTEGER )
                  PARAMETER STYLE JAVA
                  LANGUAGE JAVA
                  MODIFIES SQL DATA
                  EXTERNAL NAME 'com.ca.ims.db.derby.RuntimeDBProcedures.insertRuntimeStatusDetailProcedure';
                  
                  
 -- Upgrade to Quartz 1.7.3 db sql begin

ALTER TABLE qrtz_triggers ADD COLUMN priority integer;
ALTER TABLE qrtz_fired_triggers ADD COLUMN priority integer;
  
UPDATE qrtz_triggers SET priority=5 WHERE priority IS NULL;
UPDATE qrtz_fired_triggers SET priority=5 WHERE priority IS NULL;

		  
-- Upgrade to Quartz 1.7.3 db sql end
