
DECLARE
	runtimeStatusDetail12_exist PLS_INTEGER;
	rsda12_exist PLS_INTEGER;
	object12_exist PLS_INTEGER;
	event_object12_exist PLS_INTEGER;
	event12_exist PLS_INTEGER;
	tasksession12_exist PLS_INTEGER;
BEGIN
	select count(*)	into runtimeStatusDetail12_exist from user_tables where table_name = 'ARCHIVE_RUNTIMESTATUSDETAIL12';
	if runtimeStatusDetail12_exist = 1 then
		execute immediate 'DROP TABLE archive_runtimeStatusDetail12 CASCADE CONSTRAINTS';
	end if;
	select count(*)	into rsda12_exist from user_tables where table_name = 'ARCHIVE_RSDATTRIBUTE12';
	if rsda12_exist = 1 then
		execute immediate 'DROP TABLE archive_rsdAttribute12 CASCADE CONSTRAINTS';
	end if;
	select count(*)	into object12_exist from user_tables where table_name = 'ARCHIVE_OBJECT12_5';
	if object12_exist = 1 then
		execute immediate 'DROP TABLE archive_object12_5 CASCADE CONSTRAINTS';
	end if;
	select count(*)	into event_object12_exist from user_tables where table_name = 'ARCHIVE_EVENT_OBJECT12_5';
	if event_object12_exist = 1 then
		execute immediate 'DROP TABLE archive_event_object12_5 CASCADE CONSTRAINTS';
	end if;
	select count(*)	into event12_exist from user_tables where table_name = 'ARCHIVE_EVENT12_5';
	if event12_exist = 1 then
		execute immediate 'DROP TABLE archive_event12_5 CASCADE CONSTRAINTS';
	end if;
	select count(*)	into tasksession12_exist from user_tables where table_name = 'ARCHIVE_TASKSESSION12_5';
	if tasksession12_exist = 1 then
		execute immediate 'DROP TABLE archive_tasksession12_5 CASCADE CONSTRAINTS';
	end if;
END;
/
