if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[runtimeStatusDetail12]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[runtimeStatusDetail12]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[runtimeStatusDetailAttribute12]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[runtimeStatusDetailAttribute12]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[insertRuntimeStatusDetail]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[insertRuntimeStatusDetail]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[insertRuntimeStatusDetailAttr]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[insertRuntimeStatusDetailAttr]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_event_object12_5_event12_5]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[event_object12_5] DROP CONSTRAINT FK_event_object12_5_event12_5
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_event12_5_tasksession12_5]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[event12_5] DROP CONSTRAINT FK_event12_5_tasksession12_5
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_tasksession12_5_tasksession12_5]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tasksession12_5] DROP CONSTRAINT FK_tasksession12_5_tasksession12_5
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_AuxData12_parent]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[AuxData12] DROP CONSTRAINT FK_AuxData12_parent
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_AuxData12_provider]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[AuxData12] DROP CONSTRAINT FK_AuxData12_provider
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_AuxDataProviders12_rootNode]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[AuxDataProviders12] DROP CONSTRAINT FK_AuxDataProviders12_rootNode
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[event12_5]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[event12_5]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[event_object12_5]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[event_object12_5]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[lock12_5]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[lock12_5]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Object12_5]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[Object12_5]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tasksession12_5]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tasksession12_5]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tp_version]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[tp_version]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AuxData12]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[AuxData12]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AuxDataProviders12]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[AuxDataProviders12]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[insertAuxData]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[insertAuxData]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[insertAuxDataProvider]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[insertAuxDataProvider]
GO

-- drop Quartz 1.5.2 db sql begin 

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_QRTZ_JOB_LISTENERS_QRTZ_JOB_DETAILS]') AND OBJECTPROPERTY(id, N'ISFOREIGNKEY') = 1)
ALTER TABLE [dbo].[QRTZ_JOB_LISTENERS] DROP CONSTRAINT FK_QRTZ_JOB_LISTENERS_QRTZ_JOB_DETAILS
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_QRTZ_TRIGGERS_QRTZ_JOB_DETAILS]') AND OBJECTPROPERTY(id, N'ISFOREIGNKEY') = 1)
ALTER TABLE [dbo].[QRTZ_TRIGGERS] DROP CONSTRAINT FK_QRTZ_TRIGGERS_QRTZ_JOB_DETAILS
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_QRTZ_CRON_TRIGGERS_QRTZ_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISFOREIGNKEY') = 1)
ALTER TABLE [dbo].[QRTZ_CRON_TRIGGERS] DROP CONSTRAINT FK_QRTZ_CRON_TRIGGERS_QRTZ_TRIGGERS
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_QRTZ_SIMPLE_TRIGGERS_QRTZ_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISFOREIGNKEY') = 1)
ALTER TABLE [dbo].[QRTZ_SIMPLE_TRIGGERS] DROP CONSTRAINT FK_QRTZ_SIMPLE_TRIGGERS_QRTZ_TRIGGERS
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_QRTZ_TRIGGER_LISTENERS_QRTZ_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISFOREIGNKEY') = 1)
ALTER TABLE [dbo].[QRTZ_TRIGGER_LISTENERS] DROP CONSTRAINT FK_QRTZ_TRIGGER_LISTENERS_QRTZ_TRIGGERS
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_CALENDARS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_CALENDARS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_CRON_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_CRON_TRIGGERS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_BLOB_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_BLOB_TRIGGERS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_FIRED_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_FIRED_TRIGGERS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_PAUSED_TRIGGER_GRPS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_PAUSED_TRIGGER_GRPS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_SCHEDULER_STATE]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_SCHEDULER_STATE]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_LOCKS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_LOCKS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_JOB_DETAILS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_JOB_DETAILS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_JOB_LISTENERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_JOB_LISTENERS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_SIMPLE_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_SIMPLE_TRIGGERS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_TRIGGER_LISTENERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_TRIGGER_LISTENERS]
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[QRTZ_TRIGGERS]') AND OBJECTPROPERTY(id, N'ISUSERTABLE') = 1)
DROP TABLE [dbo].[QRTZ_TRIGGERS]
GO

-- drop Quartz 1.5.2 db sql end 

-- drop garbage collection start
IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'garbageCollectById' AND type = 'P')
   DROP PROCEDURE garbageCollectById
GO

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'garbageCollectByEventId' AND type = 'P')
   DROP PROCEDURE garbageCollectByEventId
GO

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'garbageCollectByTaskId' AND type = 'P')
   DROP PROCEDURE garbageCollectByTaskId
GO

IF EXISTS (SELECT name FROM sysobjects
      WHERE name = 'garbageCollectTaskPersistence' AND type = 'P')
   DROP PROCEDURE garbageCollectTaskPersistence
GO

-- drop garbage collection end
